gtkmm: Gtk::ApplicationWindow Class Reference

gtkmm 3.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::ApplicationWindow Class Reference

TODO. More...

Inheritance diagram for Gtk::ApplicationWindow:
[legend]

List of all members.

## Public Member Functions
virtual | ~ApplicationWindow ()
GtkApplicationWindow* | gobj ()
| Provides access to the underlying C GObject.
const GtkApplicationWindow* | gobj () const
| Provides access to the underlying C GObject.
GtkApplicationWindow* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| ApplicationWindow ()
| ApplicationWindow (const Glib::RefPtr< Application >& application)
void | set_show_menubar (bool show_menubar=true)
| Sets whether the window will display a menubar for the app menu and menubar as needed.
bool | get_show_menubar () const
| Returns whether the window will display a menubar for the app menu and menubar as needed.
Glib::PropertyProxy< bool > | property_show_menubar ()
| TRUE if the window should show a menubar at the top of the window.
Glib::PropertyProxy_ReadOnly < bool > | property_show_menubar () const
| TRUE if the window should show a menubar at the top of the window.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gtk::ApplicationWindow > | wrap (GtkApplicationWindow* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

TODO.

## Constructor & Destructor Documentation

virtual Gtk::ApplicationWindow::~ApplicationWindow | ( |  | ) | `[virtual]`

Gtk::ApplicationWindow::ApplicationWindow | ( |  | ) |

Gtk::ApplicationWindow::ApplicationWindow | ( | const Glib::RefPtr< Application >& | application | ) | `[explicit]`

## Member Function Documentation

bool Gtk::ApplicationWindow::get_show_menubar | ( |  | ) | const

Returns whether the window will display a menubar for the app menu and menubar as needed.

Since gtkmm 3.4:

Returns:
  `true` if window will display a menubar when needed.

GtkApplicationWindow* Gtk::ApplicationWindow::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

const GtkApplicationWindow* Gtk::ApplicationWindow::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

GtkApplicationWindow* Gtk::ApplicationWindow::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy< bool > Gtk::ApplicationWindow::property_show_menubar | ( |  | ) |

TRUE if the window should show a menubar at the top of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::ApplicationWindow::property_show_menubar | ( |  | ) | const

TRUE if the window should show a menubar at the top of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::ApplicationWindow::set_show_menubar | ( | bool | show_menubar = `true` | ) |

Sets whether the window will display a menubar for the app menu and menubar as needed.

Since gtkmm 3.4:

Parameters:

  show_menubar | Whether to show a menubar when needed.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::ApplicationWindow > wrap | ( | GtkApplicationWindow * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/applicationwindow.h